What each customer, yard, vehicle and supplier holds
GET
/asset-reports/holders
const url = 'https://example.com/asset-reports/holders?kind=customer&productId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/asset-reports/holders?kind=customer&productId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>What each customer, yard, vehicle or supplier (kind, customers when left out) holds now: tracked cylinders in all, full, empty and by product, most first. Lost and retired cylinders are left out. Up to 500, with truncated set when there are more; the CSV has them all.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”kind
Customers, yards (place), vehicles or suppliers. Customers when left out.
string
Customers, yards (place), vehicles or suppliers. Customers when left out.
productId
Only cylinders of this product. Every tracked product when left out.
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fOnly cylinders of this product. Every tracked product when left out.
Responses
Section titled “Responses”Holders, most first
Media typeapplication/json
object
items
required
Array<object>
object
holder
required
object
kind
required
string
id
required
UUID v7
string | null format: uuid
name
required
string | null
total
required
integer
full
required
integer
empty
required
integer
products
required
Array<object>
object
productId
required
UUID v7
string format: uuid
productName
required
string
count
required
integer
truncated
required
boolean
Example
{ "items": [ { "holder": { "kind": "place", "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" }, "products": [ { "productId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ] } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not an owner or admin, missing scope, or the plan does not open Assets
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Assets is not available to this business
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Assets is switched off
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}